Latest Android app permissions

If BirdieSync 3.x constantly replaces your girlfriend's photo with your mother's one, this forum is for you...
Post Reply
ospyros
Posts: 2
Joined: Wed Mar 12, 2008 5:04 pm

Latest Android app permissions

Post by ospyros » Fri Jul 08, 2016 8:34 pm

Hello, why does the latest Android app asks for permission to access "Device and app history" and "Phone"?

Why does version 2 not work with latest TB?

Thanks in advance

Birdy
Site Admin
Posts: 3015
Joined: Tue Apr 18, 2006 11:43 am
Contact:

Re: Latest Android app permissions

Post by Birdy » Mon Jul 11, 2016 11:06 am

Hello ospyros,
Hello, why does the latest Android app asks for permission to access "Device and app history" and "Phone"?
Android permission system is complex and is still evolving (especially since version 6.0). "Device and app history" and "Phone" are permission groups. So even if a single permission is asked by BirdieSync app, the permission group is displayed in the permissions associated to the app. You can get the details of the permissions used in each group browsing BirdieSync app in Android App Store on the web for instance, clicking on "Permissions/View details".

In "Device and app history" group, BirdieSync only requires "read sensitive log data" which is used to be able to retrieve Android log in case of problem (to analyse contact or event database problems for instance).
In "Phone" group, BirdieSync only requires "read phone status and identity" which was used in 2.x version to build an id so that the server recognize the mobile device. This is no longer used with version 3.0. "read call log" and "write call log" are not used but are automatically granted when you ask for permissions to read and write contacts.

BirdieSync app doesn't collect any data and it respects your privacy. Read and written data (like contacts and events) are only accessed to allow the synchronization with your mobile devices or Thunderbird, or to be able to analyze problems when they occur.
Why does version 2 not work with latest TB?
Each major evolution of Thunderbird requires an adaptation of BirdieSync due to Thunderbird internal changes. So using BirdieSync 2.x with a new version of Thunderbird would require a new version of BirdieSync 2.x. In term of development and maintenance, it is not possible to deal with both 2.x and 3.0 versions. So if you wish to use the latest version of Thunderbird, it is necessary to swith to latest version of BirdieSync.
Birdy

ospyros
Posts: 2
Joined: Wed Mar 12, 2008 5:04 pm

Re: Latest Android app permissions

Post by ospyros » Sat Jul 23, 2016 7:21 am

Hello birdy,

thanks a lot for the explanation. Any further discount for old customers for version 3.0 ? :-)

Birdy
Site Admin
Posts: 3015
Joined: Tue Apr 18, 2006 11:43 am
Contact:

Re: Latest Android app permissions

Post by Birdy » Mon Jul 25, 2016 6:16 pm

Yes, presently you can upgrade your license for half the original price.
Birdy

Post Reply

Who is online

Users browsing this forum: No registered users and 1 guest